<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_kcpd"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.ydckgl.KcpdActivity">

    <include layout="@layout/toolbar"></include>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/px_10"
                android:orientation="horizontal">

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <EditText
                        android:id="@+id/et_hgtm"
                        style="@style/editTextTheme"
                        android:layout_centerVertical="true"
                        android:hint="货架号" />

                    <TextView
                        android:id="@+id/tv_sys"
                        style="@style/smallButtonTheme"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="@dimen/px_20"
                        android:text="扫一扫" />

                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1">

                    <EditText
                        android:id="@+id/et_xmh"
                        style="@style/editTextTheme"
                        android:layout_centerVertical="true"
                        android:hint="物资号" />

                    <TextView
                        android:id="@+id/tv_syswz"
                        style="@style/smallButtonTheme"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="@dimen/px_20"
                        android:text="扫一扫" />

                </RelativeLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btn_itqz"
                    style="@style/button"
                    android:layout_marginLeft="20px"
                    android:layout_weight="1"
                    android:text="IT前缀" />

                <Button
                    android:id="@+id/btn_query"
                    style="@style/button"
                    android:layout_marginLeft="20px"
                    android:layout_marginRight="20px"
                    android:layout_weight="1"
                    android:text="查询" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/px_20"
                android:layout_marginRight="@dimen/px_20"
                android:orientation="vertical"
                android:visibility="gone">

                <HorizontalScrollView
                    android:layout_width="match_parent"
                    android:layout_height="500px"
                    android:layout_marginTop="20px">

                    <ListView
                        android:id="@+id/lv"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:descendantFocusability="beforeDescendants"
                        android:divider="#00000000" />

                </HorizontalScrollView>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15px">

                    <TextView
                        android:layout_width="150px"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:hint="项目:" />

                    <TextView
                        android:id="@+id/et_xm"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/px_10"
                        android:layout_weight="1" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:hint="描述:" />

                    <TextView
                        android:id="@+id/et_ms"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/px_10"
                        android:layout_weight="2"
                        android:ellipsize="end" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center">

                    <TextView
                        android:layout_width="150px"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:inputType="numberDecimal"
                        android:text="账面数量:" />

                    <TextView
                        android:id="@+id/et_sl"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/px_10"
                        android:layout_weight="1" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="right"
                        android:text="盘点数量:" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2">

                        <EditText
                            android:id="@+id/et_sjsl"
                            style="@style/editTextTheme"
                            android:layout_width="@dimen/px_150"
                            android:layout_height="@dimen/px_70"
                            android:inputType="numberDecimal"
                            android:textSize="@dimen/px_30" />

                    </LinearLayout>


                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="150px"
                        android:layout_height="wrap_content"
                        android:gravity="right"
                        android:hint="备注:" />

                    <Spinner
                        android:id="@+id/sp_bz"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/px_10"
                        android:entries="@array/bz" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/px_40"
                    android:gravity="center">

                    <Button
                        android:id="@+id/btn_save"
                        style="@style/button"
                        android:layout_width="200px"
                        android:layout_marginRight="@dimen/px_30"
                        android:text="@string/save" />

                    <Button
                        android:id="@+id/btn_cancel"
                        style="@style/button"
                        android:layout_width="@dimen/px_200"
                        android:text="复位" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </ScrollView>

</LinearLayout>
